{{ ansible_managed | comment }}

#!/bin/bash

# ansible options
ANSIBLE_HOME="{{ ansible_pull_home }}"
ANSIBLE_INVENTORY="{{ ansible_pull_inventory_file }}"
BRANCH="{{ ansible_pull_branch }}"
LOGFILE="{{ ansible_pull_log_file }}"
REPO_URL="{{ ansible_pull_repo_url }}"
VAULT_FILE="{{ ansible_pull_vault_file }}"

# notification endpoint
TOPIC_URL="https://ntfy-alerts.lan.jonesnetworks.org/formulary-provision"

# run ansible-pull provisioning
ANSIBLE_HOME=$ANSIBLE_HOME ANSIBLE_INVENTORY=$ANSIBLE_INVENTORY \
             ANSIBLE_VAULT_PASSWORD_FILE=$ANSIBLE_HOME/$VAULT_FILE \
             /opt/ansible/.local/bin/ansible-pull -o \
             -e hosts_var=$(hostname) \
             -U $REPO_URL \
             -C $BRANCH 2>&1 \
             || curl -H "Title: Formulary provision alert on $(hostname)" \
             -H "Authorization: Bearer {{ ansible_pull_access_token }}" \
             -d "Formulary-provision service failed. Investigate error immediately." \
             $TOPIC_URL
